Subject: Re: OREKOYA REPAIR ESTIMATE ON KRD 125 CB==68003.
From: Raphael Peter <[email-masked]>
To: Emmanuel Nwachukwu <[email-masked]>
Cc: Michael Orimolade <[email-masked]>, Robert Iyade <[email-masked]>, Matthew Okesanya <[email-masked]>, Folashade Odutola <[email-masked]>, Okoroafor Igwe <[email-masked]>
Date: Fri, 20 Feb 2026 14:54:41 +0000

35,500.00. Approved

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Emmanuel Nwachukwu <[email-masked]>
Sent: Friday, February 20, 2026 3:41 PM
To: Raphael Peter <[email-masked]>
Cc: Michael Orimolade <[email-masked]>; Robert Iyade <[email-masked]>; Matthew Okesanya <[email-masked]>; Folashade Odutola <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: RE: OREKOYA REPAIR ESTIMATE ON KRD 125 CB==68003.

Dear Rapheal,

Kindly approve further.

W/Na

OREKOYA

V/Ma

TOYOTA PRADO

V/No

KRD 125 CB

JO

68003

S/No

Description of Goods

Qty

Amount

Mt officer aprv

HOD

CONTROL

1

Engine oil

6ltrs

48,000

27,500

27,500

2

Oil filter

4,000

3,000

3,000

3

Labor

10,000

5,000

5,000

4

TOTAL

60,000

35,500

35,500

Emmanuel Nwachukwu

Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09062533943, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Okoroafor Igwe <[email-masked]>
Sent: Friday, February 20, 2026 1:51 PM
To: Emmanuel Nwachukwu <[email-masked]>
Cc: Michael Orimolade <[email-masked]>; Robert Iyade <[email-masked]>; Matthew Okesanya <[email-masked]>; Folashade Odutola <[email-masked]>
Subject: RE: OREKOYA REPAIR ESTIMATE ON KRD 125 CB==68003.

NGN35,500 approved.

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text    Description automatically generated]

From: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Sent: Friday, 20 February 2026 13:07
To: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Matthew Okesanya <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>
Subject: OREKOYA REPAIR ESTIMATE ON KRD 125 CB==68003.

Dear Igwe,

Kindly review and approve.

W/Na

OREKOYA

V/Ma

TOYOTA PRADO

V/No

KRD 125 CB

JO

68003

S/No

Description of Goods

Qty

Amount

Mt officer aprv

HOD

CONTROL

1

Engine oil

6ltrs

48,000

27,500

2

Oil filter

4,000

3,000

3

Labor

10,000

5,000

4

TOTAL

60,000

35,500

Emmanuel Nwachukwu

Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09062533943, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]